class TestVersion
  include HasVersions::Version

  attr_reader :snapshot
  attr_accessor :parent
  attr_accessor :target

  def initialize(attributes = {})
    attributes.each do |key, value|
      send("#{key}=", value)
    end
  end

  def snapshot=(hash)
    @snapshot = hash.stringify_keys
  end
end